# XmlRpcClient Class Reference
[Various accompanying utilities]

List of all members.

## Public Member Functions

| __construct ($url=null)
| getUrl ()
| setUrl ($url)
| getTimeout ()
| setTimeout ($timeout)
| query ($method, $parameters=null)

## Static Public Member Functions

static | create ($url=null)

## Private Attributes

| $url = null
| $timeout = null

## Detailed Description

Definition at line 15 of file XmlRpcClient.class.php.

## Constructor & Destructor Documentation

XmlRpcClient::__construct | ( | $ | url = `null` | ) |

Definition at line 20 of file XmlRpcClient.class.php.

References $url.

## Member Function Documentation

static XmlRpcClient::create | ( | $ | url = `null` | ) | `[static]`

Returns:
  XmlRpcClient

Definition at line 28 of file XmlRpcClient.class.php.

References $url.

XmlRpcClient::getTimeout | ( |  | ) |

Definition at line 47 of file XmlRpcClient.class.php.

XmlRpcClient::getUrl | ( |  | ) |

Definition at line 33 of file XmlRpcClient.class.php.

XmlRpcClient::query | ( | $ | method,
|  | $ | parameters = `null` |
| ) |  |  |

Definition at line 61 of file XmlRpcClient.class.php.

XmlRpcClient::setTimeout | ( | $ | timeout | ) |

Returns:
  XmlRpcClient

Definition at line 55 of file XmlRpcClient.class.php.

References $timeout.

XmlRpcClient::setUrl | ( | $ | url | ) |

Returns:
  XmlRpcClient

Definition at line 41 of file XmlRpcClient.class.php.

References $url.

## Member Data Documentation

XmlRpcClient::$timeout = null`[private]`

Definition at line 18 of file XmlRpcClient.class.php.

Referenced by setTimeout().

XmlRpcClient::$url = null`[private]`

Definition at line 17 of file XmlRpcClient.class.php.

Referenced by __construct(), create(), and setUrl().

The documentation for this class was generated from the following file:

- main/Utils/XmlRpcClient.class.php